<?php

	$session = $this->getSession();
	$registry = $this->getRegistry();
	  
	// appel fichier internalisation	
	$i18n = $this->getRegistry()->get('i18n');
	$filter_html = new Yab_Filter_Html();
	$filter_no_html = new Yab_Filter_NoHtml();
	
	// $pager = new Yab_Helper_Pager($uses_index, 'pager_us');
	
	// $uses_index = $pager->getStatement();
	$uses_index->noLimit();
	$sitefouille_id = $session->get('sitefouille_id') ;
    
?>
<script type='text/javascript'>

	var show_detail = false ;

	$(document).ready(function(){
    
	 var oTableUses;
     
     setClickableRow(); // cf. intervenant index.html - voir la declaration de la fonction plus bas
     
     oTableUses = $("#table_uses_index").dataTable({
        "bPaginate": true, 
        "bProcessing": false, 
        "bInfo": false,
        "oLanguage": {
         // "sZeroRecords": "<?php echo $filter_html->filter( $i18n -> say('recherche_globale_error')) ; ?>",
         // "sSearch": "<?php echo $filter_html->filter( $i18n -> say('recherche_globale_label')) ; ?>"
            "sZeroRecords": "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale_error')) ; ?>",
            "sSearch": "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale_label')) ; ?> :"
         },
         "sPaginationType": "full_numbers",           
     });
     
     oSettings = oTableUses.fnSettings();
     
    });
	
    function setClickableRow() { // rendre la ligne TR cliquable et rediriger vers le href correspondant
        $("table .table-clickable-row").each(function () {
            var redirect = $(this).attr('href')
            $(".table-row-data", $(this)).click(function () {
                window.location.href = redirect;
            })
        })
    }

    function confirmer(url) {  // jfb 2016-04-13
    	if (confirm('Veuillez Cliquer sur "OK" pour confirmer la suppression.')) {
    		document.location.href = url ;
    	}
    }

    function siteFouilleExistant(sitefouille,url) {  // jfb 2016-06-06 mantis 262
    	if (sitefouille) {
    		document.location.href = url ;
    	}
    	else {
    		alert("Veuillez créer un site de fouille !") ;
    	}
    }
    
</script>

<div class="table-responsive">
  <div id="optiontools">
    <div style="padding: 10px; float:left;">
      <span>
        <a href="<?php echo $this->getRequest('Dashboard_Us','Export') ?>?sitefouille_id=<?php echo $sitefouille_id ; ?>&export_type=excel">
          <img 
              src="<?php echo $request->getBaseUrl(); ?>/images/icone_xls.gif" 
              alt="Export des US pour <?php echo $sitefouille_id ; ?>" 
              title="Export des US pour <?php echo $sitefouille_id ; ?>" 
              border="0"
              height="24" width="24"
            />
        </a>    
      </span>
    </div>
  </div>
  <div id="table_uses_index_wrapper">
	  <table id="table_uses_index" 
               class="table_module table table-striped table-bordered table-hover table-condensed table-responsive">
	  <!-- class="table table-striped table-bordered responsive-utilities"> --> <!--  ligne remplacee par la ligne ci-dessus -->
            <caption><?php echo $filter_no_html->filter( $i18n -> say('us_title_index')) ; ?></caption>
                                                        <!--  ajout de us_title_index dans config_i18n.ini -->
		<thead>
			<tr class="headings">
				<th><?php echo $filter_html->filter( $i18n -> say('us_identification')) ; ?></th>
				<th><?php echo $filter_no_html->filter( $i18n -> say('debut')) ; ?></th>
				<th><?php echo $filter_no_html->filter( $i18n -> say('fin')) ; ?></th>

				<th><?php echo $filter_html->filter( $i18n -> say('description')) ; ?></th>
				<th><?php echo $filter_no_html->filter( $i18n -> say('interpretation')) ; ?></th>

				<th><?php echo $filter_no_html->filter( $i18n -> say('elementrecueilli')) ; ?></th>
				
				<th colspan="2" style="text-align: center;">
                  <!-- jfb 2016-06-06 mantis 262 début
				  <a href="<?php echo $this->getRequest('Us', 'add'); ?>">
					<span class="glyphicon glyphicon-plus-sign" style="font-size: 32px;" alt="Ajouter" title="Ajouter"></span>  
				  </a>
				  //   jfb 2016-06-06 mantis 262 fin -->
				  <!-- jfb 2016-06-06 mantis 262 début -->
					<span class="glyphicon glyphicon-plus-sign" style="font-size: 32px;"
					      onclick="siteFouilleExistant('<?php echo $sitefouille_id; ?>','<?php echo $this->getRequest('Us', 'add'); ?>');"
					      alt="Ajouter" title="Ajouter"></span>  
				  <!-- jfb 2016-06-06 mantis 262 fin -->
				</th>  
			</tr>
		</thead>
		<tbody>
			<?php 
			  foreach($uses_index as $us): 
				$us->set('format','%d/%m/%Y') ;
				$us_id = $us->get('us_id');
				$description = $us->get('description');
				$interpretation = $us->get('interpretation');
				$count_er = $us->has('nb_er') ? $us->get('nb_er') : 0 ; 
			  
			?>
					
			<tr href="<?php echo $this->getRequest('Us', 'show', array($us_id)); ?>" title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>" class="table-clickable-row">
				<td class="table-row-data">
				   <?php 
						echo $us->get('us_identification', $filter_html);
						/* $identif = explode('.', $us->get('us_identification', $filter_html));
						try{
							if(!isset($identif[1])) throw new Exeption();
							else
								echo $us->get('sitefouille_nomabrege', $filter_html).'.'.$identif[1];
						}catch(Exception $e){
							echo $us->get('sitefouille_nomabrege', $filter_html).'.'; 
						} */
					?>
				</td>
				<td class="table-row-data"><?php echo ($us->get('debut'))?$us->get('debut', 'Date'):'' ; ?></td>
				<td class="table-row-data"><?php echo ($us->get('fin'))?$us->get('fin', 'Date'):'' ; ?></td>

				<td class="table-row-data">
				<?php if (!empty($description) ) { ?>
<!-- jfb 2016-03-31 Mantis 195
				  <span
					id="description_<?php echo $us_id ; ?>"
					class="glyphicon glyphicon-comment"
					data-toggle="popover"
					data-container="body"
					data-content="<?php echo $description ; ?>"            
					data-placement="right"
					style="font-size: 18px; cursor:pointer;"
				  ></span>
-->
<!-- jfb 2016-03-31 Mantis 195 début -->    
				  <span
					id="description_<?php echo $us_id ; ?>"
					class="glyphicon glyphicon-comment"
						data-toggle="tooltip" 
					data-container="body"
					data-content="<?php echo $description ; ?>"            
					data-placement="right"
					style="font-size: 18px; cursor:pointer;"
						title="<?php echo $description ; ?>"
				  ></span>
				  <div style="display: none;"><?php echo $description ; ?></div>       
<!-- jfb 2016-03-31 Mantis 195 fin -->    
				<?php } ?>
			   
			   </td>
				<td class="table-row-data">
				<?php if (!empty($interpretation) ) { ?>
<!-- jfb 2016-03-31 Mantis 195
				  <span
					id="interpretation_<?php echo $us_id ; ?>"
					class="glyphicon glyphicon-info-sign"
					data-toggle="popover"
					data-container="body"
					data-content="<?php echo $interpretation ; ?>"            
					data-placement="right"
					style="font-size: 18px; cursor:pointer;"  
				  ></span>    
-->
<!-- jfb 2016-04-14 Mantis 195 début -->    
				  <span 
					id="interpretation_<?php echo $us_id ; ?>"
					class="glyphicon glyphicon-comment"
						data-toggle="tooltip" 
					data-container="body"
					data-content="<?php echo $interpretation ; ?>"            
					data-placement="right"
					style="font-size: 18px; cursor:pointer;"  
						title="<?php echo $interpretation ; ?>"
				  ></span>    
				  <div style="display: none;"><?php echo $interpretation ; ?></div>       
<!-- jfb 2016-04-14 Mantis 195 fin -->    
				<?php } ?>  
		  
		  
				</td>

				<td class="table-row-data">
				<?php if (!empty($count_er) ) { ?>
<!-- jfb 2016-04-27 fiche mantis 217 début
				  <a href="<?php echo $this->getRequest('Elementrecueilli', 'index', array($us_id) ); ?>" >
  // jfb 2016-04-27 fiche mantis 217 fin -->
				  <a href="<?php echo $this->getRequest('Us', 'ShowErFromUs', array($us_id) ); ?>" > <!-- jfb 2016-04-27 fiche mantis 217 -->
					<span 
						class="badge"
						data-toggle="tooltip" 
						data-placement="right"
						title="Visualiser la liste">
						<div class="huge" id="count_er_<?php echo $us_id ; ?>">
							<?php echo $count_er ; ?>	
						</div>
					  </span>		            
				  </a>
				<?php } ?>
				</td>
				<td class="table-row-option"><a href="<?php echo $this->getRequest('Us', 'edit', array($us_id)); ?>"><span class="glyphicon glyphicon-edit" style="font-size: 18px;" alt="Editer" title="Editer" ></span></a></td>
				<td class="table-row-option">
						<span class="glyphicon glyphicon-remove-circle alert-danger" style="font-size: 18px;"
						onclick="confirmer('<?php echo $this->getRequest('Us', 'delete', array($us_id)); ?>');"
						alt="Supprimer" title="Supprimer"></span>
				</td>
			</tr>
			<?php endforeach; ?>
		</tbody>
	  </table>
	</div>
</div>

<div style="float:left;padding-bottom:10px;padding-top:10px" >
	<span> 
		<a href="<?php echo $this->getRequest('Index', 'index'); ?>" class="btn btn-default" >Retour &agrave; index</a>
	</span>
</div>
